LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sheet::SolverStatus Constant Group Reference

Describes the status reported by the solver Used in com::sun::star::sheet::XSolverSettings. More...

## Variables
const byte | NONE = 0
| No status to report. Happens when the solver has not been called. More...
const byte | SOLUTION_FOUND = 1
| The solver finished running and a solution was successfully found. More...
const byte | PARSE_ERROR = 2
| A parse error occurred after running the solver. More...
const byte | ENGINE_ERROR = 3
| An error occurred while loading or running the solver. More...
const byte | SOLUTION_NOT_FOUND = 4
| The solver finished running but a solution was not found. More...

## Detailed Description

Describes the status reported by the solver Used in com::sun::star::sheet::XSolverSettings.

Since
  LibreOffice 25.2

## Variable Documentation

## ◆ ENGINE_ERROR

const byte ENGINE_ERROR = 3

An error occurred while loading or running the solver.

## ◆ NONE

const byte NONE = 0

No status to report. Happens when the solver has not been called.

## ◆ PARSE_ERROR

const byte PARSE_ERROR = 2

A parse error occurred after running the solver.

## ◆ SOLUTION_FOUND

const byte SOLUTION_FOUND = 1

The solver finished running and a solution was successfully found.

## ◆ SOLUTION_NOT_FOUND

const byte SOLUTION_NOT_FOUND = 4

The solver finished running but a solution was not found.